## ros-one-qb-hand-hardware-interface 3.0.4-1jammy.20260221.2103

=== debian/changelog ===
ros-one-qb-hand-hardware-interface (3.0.4-1jammy.20260221.2103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sat, 21 Feb 2026 21:03:02 +0000

ros-one-qb-hand-hardware-interface (3.0.4-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 23 Jul 2024 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.3-0jammy) jammy; urgency=high

  * FEAT: fix startup behaviour (SH2R)

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.2-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Sep 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.1-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Jul 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.0-0jammy) jammy; urgency=high

  * Implemented a new controller to control SH2R motors independently

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 06 Jul 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.3.0-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.3-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.2-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 30 Aug 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.1-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.0-0jammy) jammy; urgency=high

  * Add hardware interface for SoftHand 2 Motors
  * Update license

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.1.2-0jammy) jammy; urgency=high

  * Fix minor style issues

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 28 May 2019 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.1.1-0jammy) jammy; urgency=high

  * Update license agreement copyright

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 09 Aug 2018 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.1.0-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 07 Aug 2018 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.0.0-0jammy) jammy; urgency=high

  * Refactor transmission initialization
  * Refactor initialization
  * Prepare for CombinedRobotHW compatibility

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 30 May 2018 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.6-0jammy) jammy; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 24 Nov 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.5-0jammy) jammy; urgency=high

  * Fix C++11 support for cmake version less than 3.1

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 27 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.4-0jammy) jammy; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 23 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.3-0jammy) jammy; urgency=high

  * fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.2-0jammy) jammy; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.1-0jammy) jammy; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 19 Jun 2017 00:00:00 -0000

## ros-one-qb-hand-hardware-interface 3.0.4-1noble.20260221.2146

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.4 FATAL_ERROR)
project(qb_hand_hardware_interface VERSION 3.0.4 LANGUAGES CXX)

# Dependency Settings
find_package(catkin REQUIRED
  COMPONENTS
    roscpp
    control_toolbox
    transmission_interface
    qb_device_hardware_interface
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

catkin_package(
  INCLUDE_DIRS
    include
  LIBRARIES
    ${PROJECT_NAME}
  CATKIN_DEPENDS
    roscpp
    control_toolbox
    transmission_interface
    qb_device_hardware_interface
)

# Exported libraries
add_library(${PROJECT_NAME}
  src/qb_hand_hardware_interface.cpp
  src/qb_hand_2m_hardware_interface.cpp
)

target_link_libraries(${PROJECT_NAME}
  PUBLIC
    ${catkin_LIBRARIES}
)

add_dependencies(${PROJECT_NAME}
  ${${PROJECT_NAME}_EXPORTED_TARGETS}
  ${catkin_EXPORTED_TARGETS}
)

# Installation
install(
  TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(
  DIRECTORY
    include/${PROJECT_NAME}/
  DESTINATION
    ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

install(
  FILES plugin.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-one-qb-hand-hardware-interface (3.0.4-1noble.20260221.2146) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Sat, 21 Feb 2026 21:46:43 +0000

ros-one-qb-hand-hardware-interface (3.0.4-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 23 Jul 2024 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.3-0noble) noble; urgency=high

  * FEAT: fix startup behaviour (SH2R)

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.2-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 20 Sep 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.1-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 07 Jul 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (3.0.0-0noble) noble; urgency=high

  * Implemented a new controller to control SH2R motors independently

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 06 Jul 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.3.0-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 08 Apr 2022 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.3-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 05 Nov 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.2-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 30 Aug 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.1-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.2.0-0noble) noble; urgency=high

  * Add hardware interface for SoftHand 2 Motors
  * Update license

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 27 Aug 2021 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.1.2-0noble) noble; urgency=high

  * Fix minor style issues

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 28 May 2019 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.1.1-0noble) noble; urgency=high

  * Update license agreement copyright

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 09 Aug 2018 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.1.0-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 07 Aug 2018 00:00:00 -0000

ros-one-qb-hand-hardware-interface (2.0.0-0noble) noble; urgency=high

  * Refactor transmission initialization
  * Refactor initialization
  * Prepare for CombinedRobotHW compatibility

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 30 May 2018 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.6-0noble) noble; urgency=high



 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 24 Nov 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.5-0noble) noble; urgency=high

  * Fix C++11 support for cmake version less than 3.1

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Tue, 27 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.4-0noble) noble; urgency=high

  * Update cmake version to match Kinetic standards

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Fri, 23 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.3-0noble) noble; urgency=high

  * fix dependencies

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Thu, 22 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.2-0noble) noble; urgency=high

  * fix cmake settings to solve isolated builds

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Wed, 21 Jun 2017 00:00:00 -0000

ros-one-qb-hand-hardware-interface (1.0.1-0noble) noble; urgency=high

  * first public release for Kinetic

 -- Alessandro Tondo <alessandro.tondo@qbrobotics.com>  Mon, 19 Jun 2017 00:00:00 -0000

=== debian/control ===
Source: ros-one-qb-hand-hardware-interface
Section: misc
Priority: optional
Maintainer: Alessandro Tondo <alessandro.tondo@qbrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-control-toolbox, ros-one-hardware-interface, ros-one-qb-device-hardware-interface, ros-one-roscpp, ros-one-transmission-interface
Homepage: http://wiki.ros.org/qb_hand_hardware_interface
Standards-Version: 3.9.2

Package: ros-one-qb-hand-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-control-toolbox, ros-one-hardware-interface, ros-one-qb-device-hardware-interface, ros-one-roscpp, ros-one-transmission-interface
Description: This package contains the hardware interface for qbrobotics® qbhand device.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-qb-hand-hardware-interface//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
